### Method

# EDataServer Client set_bus_name

since: 3.16

#### Declaration [src]

    void
    e_client_set_bus_name (
      EClient* client,
      const gchar* bus_name
    )

#### Description [src]

Sets a D-Bus bus name that will be used to connect the client to the backend subprocess.

Available since: 3.16

#### Parameters

`bus_name`

  Type: `const gchar*`

  A string representing a D-Bus bus name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.